//prefs
if($RTB::Hooks::ServerControl)
{
	RTB_registerPref("Item1",      "FreebuildPlayer",   "$Pref::Server::FP::Item1",    "string 30",     "Player_Freebuild", "",    false, false, "");
	RTB_registerPref("Item2",      "FreebuildPlayer",   "$Pref::Server::FP::Item2",    "string 30",     "Player_Freebuild", "",    false, false, "");
	RTB_registerPref("Item3",      "FreebuildPlayer",   "$Pref::Server::FP::Item3",    "string 30",     "Player_Freebuild", "",    false, false, "");
	RTB_registerPref("Item4",      "FreebuildPlayer",   "$Pref::Server::FP::Item4",    "string 30",     "Player_Freebuild", "",    false, false, "");
	RTB_registerPref("Item5",      "FreebuildPlayer",   "$Pref::Server::FP::Item5",    "string 30",     "Player_Freebuild", "",    false, false, "");
	RTB_registerPref("Force change?",      "FreebuildPlayer",   "$Pref::Server::FP::force",    "bool",     "Player_Freebuild", false,    false, false, "");
}
//additem code (from event_additem)
function Player::addItem(%player,%image,%client)
{
   for(%i = 0; %i < %player.getDatablock().maxTools; %i++)
   {
      %tool = %player.tool[%i];
      if(%tool == 0)
      {
         %player.tool[%i] = %image;
         %player.weaponCount++;
         messageClient(%client,'MsgItemPickup','',%i,%image);
         break;
      }
   }
}
//adding items when spawned
package additemonspawn
{
function GameConnection::spawnPlayer(%client)
    {
	    parent::spawnPlayer(%client);
		%player = %client.player;
		echo("Echo:" SPC $Pref::Server::FP::force);
		if($Pref::Server::FP::force == true)
			%player.changedatablock(FreebuildPlayer);
		if(%player.getDataBlock().getName() $= "FreebuildPlayer")
			{
			if($Pref::Server::FP::Item1 !$= "")
				%player.additem($Pref::Server::FP::Item1.getID(),%client);
			if($Pref::Server::FP::Item2 !$= "")
				%player.additem($Pref::Server::FP::Item2.getID(),%client);
			if($Pref::Server::FP::Item3 !$= "")
				%player.additem($Pref::Server::FP::Item3.getID(),%client);
			if($Pref::Server::FP::Item4 !$= "")
				%player.additem($Pref::Server::FP::Item4.getID(),%client);
			if($Pref::Server::FP::Item5 !$= "")
				%player.additem($Pref::Server::FP::Item5.getID(),%client);
			}
   }
};
activatepackage(additemonspawn);

//9 slot player.
datablock PlayerData(FreebuildPlayer : PlayerStandardArmor)
{
	minJetEnergy = 0;
	jetEnergyDrain = 0;
	canJet = 1;

	uiName = "Freebuild Player";
	showEnergyBar = false;
	maxTools = 9;
	maxWeapons = 9;
};
//Setting the support so we can see all Slots
package InventorySlotAdjustment
{
	function Armor::onNewDatablock(%data,%this)
	{
		Parent::onNewDatablock(%data,%this);
		if(isObject(%this.client) && %data.maxTools != %this.client.lastMaxTools)
		{
			%this.client.lastMaxTools = %data.maxTools;
			commandToClient(%this.client,'PlayGui_CreateToolHud',%data.maxTools);
			for(%i=0;%i<%data.maxTools;%i++)
			{
				if(isObject(%this.tool[%i]))
					messageClient(%this.client,'MsgItemPickup',"",%i,%this.tool[%i].getID(),1);
				else
					messageClient(%this.client,'MsgItemPickup',"",%i,0,1);
			}
		}
	}
	function GameConnection::setControlObject(%this,%obj)
	{
		Parent::setControlObject(%this,%obj);
		if(%obj == %this.player && %obj.getDatablock().maxTools != %this.lastMaxTools)
		{
			%this.lastMaxTools = %obj.getDatablock().maxTools;
			commandToClient(%this,'PlayGui_CreateToolHud',%obj.getDatablock().maxTools);
		}
	}
	function Player::changeDatablock(%this,%data,%client)
	{
		if(%data != %this.getDatablock() && %data.maxTools != %this.client.lastMaxTools)
		{
			%this.client.lastMaxTools = %data.maxTools;
			commandToClient(%this.client,'PlayGui_CreateToolHud',%data.maxTools);
		}
		Parent::changeDatablock(%this,%data,%client);
	}
};
activatePackage(InventorySlotAdjustment);